#pragma once

#include "Thing.h"
#include "Vector3.h"

class Quadcopter : public Thing {
public:
	Quadcopter();

	void LinearMotion(Vector3 velocity, float yawSpeed = 0.0F, float rollSpeed = 0.0);
	void SetTwistSpeed(float forward, float yaw, float pitch);
    void SetTwistSpeed(Vector3 velocity, float yawSpeed = 0.0F);

	Vector3 GetTargetVelocity();
	float GetYawSpeed();
	float GetPitchSpeed();
	float GetRollSpeed();
protected:
	Vector3 velocity = Vector3::zero;
	float pitchSpeed = 0.0F;
	float yawSpeed = 0.0F;
	float rollSpeed = 0.0F;
};